context("CSTools::Predictability tests")

################################################################################
# dat
data  <- CSTools::lonlat_temp$exp$data
attractor <- ProxiesAttractor(data, quanti = 0.60)
predyn <- Predictability(dim = attractor$dim, theta = attractor$theta)

################################################################################

test_that("1. Input checks", {
  expect_error(
    Predictability(dim = NULL, theta = predyn$theta),
    paste0("Parameters 'dim' and 'theta' cannot be NULL.")
  )
  expect_error(
    Predictability(dim = array(10), theta = array(10)),
    paste0("Parameter 'dim' must have a temporal dimension named 'time'.")
  )
})

################################################################################

test_that("2. Output checks", {
  expect_equal(
    dim(predyn$pred.dim[[1]][[1]]),
    c(time = 4, dataset = 2, member = 10, ftime = 5)
  )
})