import netCDF4 as nc

# List of NetCDF files
file_paths = [
    '/esarchive/recon/ecmwf/erainterim/monthly_mean/tas/tas_198106.nc',
    '/esarchive/recon/ecmwf/erainterim/monthly_mean/tas/tas_198107.nc',
    # Add more file paths as needed
]

# Function to extract dates from a NetCDF file
def extract_dates(file_path):
    with nc.Dataset(file_path) as dataset:
        time_var = dataset.variables['time']
        dates = nc.num2date(time_var[:], units=time_var.units)
        return dates

# Extract dates from each file
for file_path in file_paths:
    dates = extract_dates(file_path)
    print(f'Dates in {file_path}:')
    for date in dates:
        print(date)