library(ncdf4)

# List of NetCDF files
file_paths <- c( "/esarchive/recon/ecmwf/erainterim/monthly_mean/tas/tas_201706.nc","/esarchive/recon/ecmwf/erainterim/monthly_mean/tas/tas_201707.nc", "/esarchive/recon/ecmwf/erainterim/monthly_mean/tas/tas_201708.nc" ,"/esarchive/recon/ecmwf/erainterim/monthly_mean/tas/tas_201806.nc" ,"/esarchive/recon/ecmwf/erainterim/monthly_mean/tas/tas_201807.nc", "/esarchive/recon/ecmwf/erainterim/monthly_mean/tas/tas_201808.nc"
    # Add more file paths as needed
)

# Function to extract dates from a NetCDF file
extract_dates <- function(file_path) {
  info <- system(paste0("ncdump ", file_path, " -ctv time"), intern = TRUE)
  return(info[length(info)-1])
}

# Extract dates from each file
for (file_path in file_paths) {
  print(extract_dates(file_path))
}

########################################
library(easyNCDF)
# Read the dimensions and variables in the created file
fnc <- NcOpen(file_path)
fnc_dims <- NcReadDims(fnc)
var_names <- NcReadVarNames(fnc)
# Read the two variables from the file into an R array
res <- NcToArray(fnc, vars_to_read = 'time')

attributes(res)$variables$time$units
NcClose(fnc)


############################################
