#-------------------------------------------------------------------------------
# https://cran.r-project.org/web/packages/foreach/vignettes/foreach.html 
#-------------------------------------------------------------------------------
x <- matrix(runif(500), 100)
y <- gl(2, 50)

library(randomForest)
library(parallel)
library(foreach)
detectCores()

library(doParallel)
registerDoParallel(cores=4)


rf <- foreach(ntree=rep(250, 4), .combine=combine) %do%
  randomForest(x, y, ntree=ntree)
rf

rf <- foreach(ntree=rep(250, 4), .combine=combine, .packages='randomForest') %dopar%
  randomForest(x, y, ntree=ntree)
rf