orderFilesBySize <- function(directory_path) {
  # List files in the specified directory
  files <- list.files(directory_path, full.names = TRUE)

  # Get the sizes of the files
  file_sizes <- file.info(files)$size*1e-6

  # Create a data frame with file names and sizes
  file_info <- data.frame(File = files, Size = file_sizes)

  # Order the data frame by file size in ascending order
  ordered_files <- file_info[order(file_info$Size), ]

  return(ordered_files)
}

# Usage example:
directory_path <- "/esarchive/scratch/erifarov/"
directory_path <- "/esarchive/scratch/erifarov/rpackages"
ordered_files <- orderFilesBySize(directory_path)

# Print the ordered files
print(ordered_files)


#-----------------------------------

directory_size <- function(dir_path) {
  # Get a list of all files in the directory and its subdirectories
  file_list <- list.files(path = dir_path, full.names = TRUE, recursive = TRUE)
  
  # Initialize a variable to store the total size
  total_size <- 0
  
  # Loop through the list of files and sum their sizes
  for (file in file_list) {
    file_info <- file.info(file)
    if (!is.na(file_info$size)) {
      total_size <- total_size + file_info$size
    }
  }
  
  # Convert the total size to a human-readable format
  # total_size <- format(total_size, big.mark = ",", scientific = FALSE)
  
  return(total_size)
}

# Example usage
directory_path <- "/esarchive/scratch/erifarov/git/cstools/vignettes/Figures"
directory_path <- "/esarchive/scratch/erifarov/git" # size = 90364324 = 90.3 MB
directory_path <- "/esarchive/scratch/erifarov/rpackages" # 459.6 MB
size <- directory_size(directory_path) # size

size <- directory_size("/esarchive/scratch/erifarov/") # size = 4433802213

directory_size("/esarchive/scratch/erifarov/")

# Usage example:

ordered_files <- orderFilesBySize(directory_path)



# calculate_directory_sizes <- function(path) {
#   # Get a list of all directories and subdirectories
#   all_dirs <- list.files(path, recursive = TRUE, full.names = TRUE)

#   # Filter only directories
#   dirs <- all_dirs[file.info(all_dirs)$isdir]

#   # Calculate the total size for each directory
#   sizes <- sapply(dirs, function(dir) {
#     total_size <- sum(file.info(dir, extra_cols = TRUE)$size, na.rm = TRUE)
#     data.frame(directory = dir, total_size = total_size, stringsAsFactors = FALSE)
#   })

#   # Combine the data frames into a single data frame
#   sizes <- do.call(rbind, sizes)

#   # Order the results by total size in descending order
#   sizes <- sizes[order(as.numeric(sizes$total_size), decreasing = TRUE), ]

#   return(sizes)
# }


# # Example usage:
# path <- "/esarchive/scratch/erifarov/rpackages"
# result <- calculate_directory_sizes(path)
# print(result)

###################################

dir_size <- function(path, recursive = TRUE) {
  stopifnot(is.character(path))
  files <- list.files(path, full.names = T, recursive = recursive)
  vect_size <- sapply(files, function(x) file.size(x))
  size_files <- sum(vect_size)
  size_files
}

file_size_order <- function(path, recursive = TRUE) {
  stopifnot(is.character(path))
  files <- list.files(path, full.names = T, recursive = recursive)
  vect_size <- sapply(files, function(x) file.size(x))
  size_files <- sort(vect_size*1e-6)
  size_files
}

path <- "/esarchive/scratch/erifarov/rpackages/GHR/scripts-alba/spatial_aggregation/spatial_aggregation_alba/shp_test"
path <- "/esarchive/scratch/erifarov/rpackages/GHR/scripts-alba"
path <- "/esarchive/scratch/erifarov/rpackages/GHR"
path <- "/esarchive/scratch/erifarov/rpackages"
path <- "/esarchive/scratch/erifarov/rpackages/cstools-local"
path <- "/esarchive/scratch/erifarov/git/multiApply"
path <- "/esarchive/scratch/erifarov/git"
path <- "/esarchive/scratch/erifarov/"

dir_size(path)*1e-6

file_size_order <- function(path, recursive = TRUE) {
  stopifnot(is.character(path))
  files <- list.files(path, full.names = T, recursive = recursive)
  vect_size <- sapply(files, function(x) file.size(x))
  size_files <- sort(vect_size*1e-6)
  size_files
}

sizes <- file_size_order(path)

names(which(sizes > 2))

names(sizes)
