test_multiApply <- function(input_data, input_target_dims) {
  # if (!is.list(input_target_dims)) {
  #   input_target_dims <- rep(list(input_target_dims), length(input_data))
  # }
  # input_data = list(data1 = data1, data2 = data2)
  result <- vector(mode = 'list', length = length(input_data))
  res <- lapply(1:length(input_data), function(x) {
    dims_subset <- names(dim(input_data[[x]]))[which(!names(dim(input_data[[x]])) %in% input_target_dims[[x]])]
    if (!length(dims_subset) < 1) {
      result <- ClimProjDiags::Subset(x = input_data[[x]], 
                                      along = dims_subset, 
                                      indices = rep(list(1), length(dims_subset)),
                                      drop = 'selected')
      pos <- match(names(dim(result)), input_target_dims[[x]])
      result <- aperm(result, pos)
      return(result)
    } else {
      return(input_data[[x]])
    }
  })
}

## Example
# library(zeallot)

# c(data, params) %<-% test_multiApply(input_data = list(data = data, params = params),
#                                      input_target_dims = list(data = c(leadtime_dim, time_dim, memb_dim), 
#                                                         params = c(time_dim, leadtime_dim, 'coef')))


library(zeallot)

names(input_data) <- c('data', 'startdates', 'dates')
names(target_dims) <- c('data', 'startdates', 'dates')

c(data, startdates, dates) %<-% 
  test_multiApply(input_data = input_data,
                  input_target_dims = target_dims)


